'use strict'

/*
|--------------------------------------------------------------------------
| Websocket
|--------------------------------------------------------------------------
|
| This file is used to register websocket channels and start the Ws server.
| Learn more about same in the official documentation.
| https://adonisjs.com/docs/websocket
|
| For middleware, do check `wsKernel.js` file.
|
*/

const Ws = use('Ws');
// const SignalingController = use('App/Controllers/Ws/SignalingController')

Ws.channel('call:*', 'SignalingController').middleware([
  'auth', 'ws_call_auth'
]);
Ws.channel('user_channel', 'UserChannelController').middleware(['auth']);
